<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات ادارات
            <button mat-mini-fab color="primary" [routerLink]="['/office/new']">
        <mat-icon>add</mat-icon>
      </button>

        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
                buttonCount: buttonCount,
                info: info,
                type: type,
                pageSizes: pageSizes,
                previousNext: previousNext
              }" [scrollable]="'scrollable'" [filterable]="true" [filter]="state.filter" (dataStateChange)="dataStateChange($event)" [height]="450">
                <!-- [groupable]="{ showFooter: true }" [group]="state.group" [filterable]="true" [filter]="state.filter" -->
                <!-- <kendo-grid-column field="id" title="سریال" width="40">
                  </kendo-grid-column> -->
                <!-- <a mat-mini-fab [routerLink]="['/office/', dataItem.office_ID]">ویرایش</a> -->
                <kendo-grid-command-column title="ع" width="50" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button>
              <mat-icon [routerLink]="['/office/', dataItem.office_ID]" color="accent">create</mat-icon>
            </button>
                    </ng-template>
                </kendo-grid-command-column>
                <kendo-grid-column field="office_Name" title="نام اداره" width="100">
                </kendo-grid-column>
                <kendo-grid-column field="office_Code" title="کد اداره" width="100" filter="numeric">
                </kendo-grid-column>
                <kendo-grid-column field="parent_Office_ID" title="کد اداره معین" width="100" filter="numeric">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        <div *ngIf="dataItem.parent_Office_ID==null">ندارد</div>
                        <div *ngIf="dataItem.parent_Office_ID!=null">{{dataItem.parent_Office_ID}}</div>
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>

    </mat-card-content>
    <!-- <mat-card-actions class="action-buttons">
          <button mat-button color="primary">
      <mat-icon>thumb_up_alt</mat-icon> 12 Likes
    </button>
          <button mat-button color="primary">
      <mat-icon>comment</mat-icon> Comments
    </button>
          <button mat-button color="primary">
      <mat-icon>share</mat-icon> Share
    </button>
          <a mat-button color="primary" target="_blank">
              <mat-icon>visibility</mat-icon> View
          </a>
      </mat-card-actions> -->
</mat-card>